import { type TabsProps as GenericTabsProps } from '@mui/material/Tabs';
import { type FunctionComponent } from 'react';
declare const Tabs: FunctionComponent<TabsProps>;
export default Tabs;
export type TabsProps = GenericTabsProps & {
    readonly defaultIndex: number;
    readonly onSelectTab?: (tabIndex: number) => void;
    readonly routes?: Array<{
        key: string;
        title: string;
    }>;
};
